How to Solved ADV190013 ADV180002 and ADV180012 Vulnerabilities on windows server

HardiyanPurnama-8772 0 Reputation points
2023-03-13T03:33:03.3533333+00:00

Hello Everyone,

I have Vulnerabilities on Some windows Server

  1. Windows Server 2022 Standard Version 21H2
  2. Windows Server 2012 R2 Standard 64 bit Edition
  3. Windows Server 2016 Standard 64 bit Edition Version 1607

The Server hosted on VMWare Virtual machine.

i have modified refistry below

reg add "HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Session Manager\Memory Management" /v FeatureSettingsOverride /t REG_DWORD /d 8264 /f

reg add "HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\Session Manager\Memory Management" /v FeatureSettingsOverrideMask /t REG_DWORD /d 3 /f

But it all not work.

What should i do ?

Thank you,

Hardiyan Purnama

Windows Server
Windows Server
A family of Microsoft server operating systems that support enterprise-level management, data storage, applications, and communications.
12,103 questions
0 comments No comments
{count} votes

1 answer

Sort by: Most helpful
  1. Limitless Technology 43,926 Reputation points
    2023-03-14T09:06:12.89+00:00

    Hello there,

    Please install all the previous updates and then edit the registry and see if that helps. It is recommended that you install all of the latest updates from Windows Update before you install any microcode updates.

    To help verify that protections are enabled, we have published a PowerShell script that you can run on your devices.

    Install the PowerShell Module:

    PS> Install-Module SpeculationControl

    Run the PowerShell module to verify that protections are enabled:

    PS> # Save the current execution policy so it can be reset

    PS> $SaveExecutionPolicy = Get-ExecutionPolicy

    PS> Set-ExecutionPolicy RemoteSigned -Scope Currentuser

    PS> Import-Module SpeculationControl

    PS> Get-SpeculationControlSettings

    PS> # Reset the execution policy to the original state

    PS> Set-ExecutionPolicy $SaveExecutionPolicy -Scope Currentuser

    Hope this resolves your Query !!

    --If the reply is helpful, please Upvote and Accept it as an answer--

    0 comments No comments